Open CASCADE Technology: IntTools_ListOfCurveRangeSample Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IntTools_ListOfCurveRangeSample Class Reference

`#include <IntTools_ListOfCurveRangeSample.hxx>`

## Public Member Functions
| IntTools_ListOfCurveRangeSample ()
| IntTools_ListOfCurveRangeSample (const IntTools_ListOfCurveRangeSample &Other)
void | Assign (const IntTools_ListOfCurveRangeSample &Other)
void | operator= (const IntTools_ListOfCurveRangeSample &Other)
Standard_Integer | Extent () const
void | Clear ()
| ~IntTools_ListOfCurveRangeSample ()
Standard_Boolean | IsEmpty () const
void | Prepend (const IntTools_CurveRangeSample &I)
void | Prepend (const IntTools_CurveRangeSample &I, IntTools_ListIteratorOfListOfCurveRangeSample &theIt)
void | Prepend (IntTools_ListOfCurveRangeSample &Other)
void | Append (const IntTools_CurveRangeSample &I)
void | Append (const IntTools_CurveRangeSample &I, IntTools_ListIteratorOfListOfCurveRangeSample &theIt)
void | Append (IntTools_ListOfCurveRangeSample &Other)
IntTools_CurveRangeSample & | First () const
IntTools_CurveRangeSample & | Last () const
void | RemoveFirst ()
void | Remove (IntTools_ListIteratorOfListOfCurveRangeSample &It)
void | InsertBefore (const IntTools_CurveRangeSample &I, IntTools_ListIteratorOfListOfCurveRangeSample &It)
void | InsertBefore (IntTools_ListOfCurveRangeSample &Other, IntTools_ListIteratorOfListOfCurveRangeSample &It)
void | InsertAfter (const IntTools_CurveRangeSample &I, IntTools_ListIteratorOfListOfCurveRangeSample &It)
void | InsertAfter (IntTools_ListOfCurveRangeSample &Other, IntTools_ListIteratorOfListOfCurveRangeSample &It)

## Constructor & Destructor Documentation

IntTools_ListOfCurveRangeSample::IntTools_ListOfCurveRangeSample | ( |  | ) |

IntTools_ListOfCurveRangeSample::IntTools_ListOfCurveRangeSample | ( | const IntTools_ListOfCurveRangeSample & | Other | ) |

IntTools_ListOfCurveRangeSample::~IntTools_ListOfCurveRangeSample | ( |  | ) |
| inline

## Member Function Documentation

void IntTools_ListOfCurveRangeSample::Append | ( | const IntTools_CurveRangeSample & | I | ) |

void IntTools_ListOfCurveRangeSample::Append | ( | const IntTools_CurveRangeSample & | I,
|  | IntTools_ListIteratorOfListOfCurveRangeSample & | theIt
| ) |  |

void IntTools_ListOfCurveRangeSample::Append | ( | IntTools_ListOfCurveRangeSample & | Other | ) |

void IntTools_ListOfCurveRangeSample::Assign | ( | const IntTools_ListOfCurveRangeSample & | Other | ) |

void IntTools_ListOfCurveRangeSample::Clear | ( |  | ) |

Standard_Integer IntTools_ListOfCurveRangeSample::Extent | ( |  | ) | const

IntTools_CurveRangeSample& IntTools_ListOfCurveRangeSample::First | ( |  | ) | const

void IntTools_ListOfCurveRangeSample::InsertAfter | ( | const IntTools_CurveRangeSample & | I,
|  | IntTools_ListIteratorOfListOfCurveRangeSample & | It
| ) |  |

void IntTools_ListOfCurveRangeSample::InsertAfter | ( | IntTools_ListOfCurveRangeSample & | Other,
|  | IntTools_ListIteratorOfListOfCurveRangeSample & | It
| ) |  |

void IntTools_ListOfCurveRangeSample::InsertBefore | ( | const IntTools_CurveRangeSample & | I,
|  | IntTools_ListIteratorOfListOfCurveRangeSample & | It
| ) |  |

void IntTools_ListOfCurveRangeSample::InsertBefore | ( | IntTools_ListOfCurveRangeSample & | Other,
|  | IntTools_ListIteratorOfListOfCurveRangeSample & | It
| ) |  |

Standard_Boolean IntTools_ListOfCurveRangeSample::IsEmpty | ( |  | ) | const

IntTools_CurveRangeSample& IntTools_ListOfCurveRangeSample::Last | ( |  | ) | const

void IntTools_ListOfCurveRangeSample::operator= | ( | const IntTools_ListOfCurveRangeSample & | Other | ) |
| inline

void IntTools_ListOfCurveRangeSample::Prepend | ( | const IntTools_CurveRangeSample & | I | ) |

void IntTools_ListOfCurveRangeSample::Prepend | ( | const IntTools_CurveRangeSample & | I,
|  | IntTools_ListIteratorOfListOfCurveRangeSample & | theIt
| ) |  |

void IntTools_ListOfCurveRangeSample::Prepend | ( | IntTools_ListOfCurveRangeSample & | Other | ) |

void IntTools_ListOfCurveRangeSample::Remove | ( | IntTools_ListIteratorOfListOfCurveRangeSample & | It | ) |

void IntTools_ListOfCurveRangeSample::RemoveFirst | ( |  | ) |

The documentation for this class was generated from the following file:

- IntTools_ListOfCurveRangeSample.hxx